%define compile_apidox 0
%{?_no_apidox: %{expand: %%global compile_apidox 0}}

%define unstable 1
%{?_unstable: %{expand: %%global unstable 1}}

%if %unstable
%define dont_strip 1
%endif

%define lib_name_orig libkdevplatform4
%define lib_major 4
%define lib_name %mklibname kdevplatform %lib_major
%define old_lib_major 2
%define old_lib_name %mklibname kdevplatform4 %old_lib_major

%define kde_version 4.6.0
%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

Name: kdevplatform4
Summary: Integrated Development Environment for C++/C
Version: 1.3.1
Epoch: 4
URL: http://www.kde.org 
Release: %mkrel 1
Source0: http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/%{kdevelop_ver}/src/kdevplatform-%{version}.tar.bz2
Group: Development/C++
License: GPL
BuildRequires: kdelibs4-devel >= 2:%{kde_version}
BuildRequires: flex
BuildRequires: graphviz
BuildRequires: db-devel
BuildRequires: subversion-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel
%if %compile_apidox
BuildRequires: doxygen
%endif
BuildRequires:    libcommoncpp-devel
BuildRequires:    rapidsvn
BuildRequires:    boost-devel
BuildRequires:    qjson-devel >= 0.7.0
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

Obsoletes:        kdevelop4 < 3.93

Conflicts:	%lib_name-devel < 4:0.9.83-0.886617.3
Conflicts:	kdevelop4 < 4:3.9.96

%description
%name module needed by Kdevelop or Quanta

%files -f %name.lang
%defattr(-,root,root) 
%_kde_bindir/kdev_dbus_socket_transformer
%_kde_bindir/kdev_format_source.sh
%_kde_bindir/kdevplatform_shell_environment.sh
%_kde_appsdir/kdevprojectmanagerview
%_kde_appsdir/kdevstandardoutputview
%_kde_appsdir/kdevfilemanager
%_kde_appsdir/kdevcvs
%_kde_appsdir/kdevquickopen
%_kde_appsdir/kdevproblemreporter
%_kde_appsdir/kdevcontextbrowser
%_kde_appsdir/kdevsourceformatter
%_kde_appsdir/kdevappwizard
%_kde_appsdir/kdevclassbrowser
%_kde_appsdir/kdevdebugger
%_kde_appsdir/kdevdocumentswitcher
%_kde_appsdir/kdevcodegen
%_kde_appsdir/kdevpatchreview
%_kde_appsdir/kdevdocumentview
%_kde_appsdir/kdevgrepview
%_kde_appsdir/kdevsession
%_kde_appsdir/kdevsnippet
%_kde_appsdir/kdevcodeutils
%_kde_appsdir/kdevexternalscript
%_kde_servicetypes/kdevelopplugin.desktop
%_kde_services/kdevquickopen.desktop
%_kde_services/kcm_kdev_uisettings.desktop
%_kde_services/kdevfilemanager.desktop
%_kde_services/kdevgenericmanager.desktop
%_kde_services/kdevkonsoleview.desktop
%_kde_services/kdevprojectmanagerview.desktop
%_kde_services/kdevsnippet.desktop
%_kde_services/kdevstandardoutputview.desktop
%_kde_services/kcm_kdev_envsettings.desktop
%_kde_services/kcm_kdev_bgsettings.desktop
%_kde_services/kcm_kdev_ccsettings.desktop
%_kde_services/kcm_kdev_projectsettings.desktop
%_kde_services/kdevsubversion.desktop
%_kde_services/kdevproblemreporter.desktop
%_kde_services/kdevcvs.desktop
%_kde_services/kdevexecute.desktop
%_kde_services/kcm_kdev_genericprojectmanagersettings.desktop
%_kde_services/kcm_kdevsourceformattersettings.desktop
%_kde_services/kdevcontextbrowser.desktop
%_kde_services/kcm_kdev_pluginsettings.desktop
%_kde_services/kdevappwizard.desktop
%_kde_services/kdevclassbrowser.desktop
%_kde_services/kdevdocumentswitcher.desktop
%_kde_services/kdevopenwith.desktop
%_kde_services/kdevpatchreview.desktop
%_kde_services/kdevdocumentview.desktop
%_kde_services/kdevgrepview.desktop
%_kde_services/kdevcodeutils.desktop
%_kde_services/kdevexternalscript.desktop
%_kde_services/kdevgit.desktop
%_kde_services/kdevpastebin.desktop
%_kde_services/kdevreviewboard.desktop
%_kde_services/kdev-dash-projectfileelement.desktop
%_kde_services/kdevexecutescript.desktop
%_kde_services/kdevprojectdashboard.desktop
%_kde_services/kdevvcschangesview.desktop
%_kde_libdir/kde4/kdevexecute.so
%_kde_libdir/kde4/kcm_kdev_uisettings.so
%_kde_libdir/kde4/kdevfilemanager.so
%_kde_libdir/kde4/kdevgenericmanager.so
%_kde_libdir/kde4/kdevkonsoleview.so
%_kde_libdir/kde4/kdevprojectmanagerview.so
%_kde_libdir/kde4/kdevsnippet.so
%_kde_libdir/kde4/kdevstandardoutputview.so
%_kde_libdir/kde4/kcm_kdev_envsettings.so
%_kde_libdir/kde4/kdevcvs.so
%_kde_libdir/kde4/kdevquickopen.so
%_kde_libdir/kde4/kcm_kdev_bgsettings.so
%_kde_libdir/kde4/kcm_kdev_ccsettings.so
%_kde_libdir/kde4/kcm_kdev_projectsettings.so
%_kde_libdir/kde4/kdevproblemreporter.so
%_kde_libdir/kde4/kdevsubversion.so
%_kde_libdir/kde4/kdevcontextbrowser.so
%_kde_libdir/kde4/kcm_kdevsourceformattersettings.so
%_kde_libdir/kde4/kcm_kdev_genericprojectmanagersettings.so
%_kde_libdir/kde4/kcm_kdev_pluginsettings.so
%_kde_libdir/kde4/kdevappwizard.so
%_kde_libdir/kde4/kdevclassbrowser.so
%_kde_libdir/kde4/kdevdocumentswitcher.so
%_kde_libdir/kde4/kdevopenwith.so
%_kde_libdir/kde4/kdevpatchreview.so
%_kde_libdir/kde4/kdevdocumentview.so
%_kde_libdir/kde4/kdevgrepview.so
%_kde_libdir/kde4/kdevcodeutils.so
%_kde_libdir/kde4/kdevexternalscript.so
%_kde_libdir/kde4/kdevgit.so
%_kde_libdir/kde4/kdevpastebin.so
%_kde_libdir/kde4/kdevreviewboard.so
%_kde_libdir/kde4/kdevexecutescript.so
%_kde_libdir/kde4/kdevprojectdashboard.so
%_kde_libdir/kde4/kdevvcschangesviewplugin.so
%_kde_libdir/kde4/plasma_kdev_projectfileelement.so
%_kde_iconsdir/hicolor/*/apps/reviewboard.png
%_kde_iconsdir/hicolor/22x22/actions/run-clean.png
%_kde_iconsdir/hicolor/22x22/actions/run-install.png
%_kde_iconsdir/hicolor/*/apps/git.png
%_kde_iconsdir/hicolor/*/apps/subversion.png

#-----------------------------------------------------------------------------

%define kdevplatformtests_major 5
%define libkdevplatformtests %mklibname kdevplatformtests %kdevplatformtests_major

%package -n %libkdevplatformtests
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformtests
KDE 4 library.

%files -n %libkdevplatformtests
%defattr(-,root,root)
%_kde_libdir/libkdevplatformtests.so.%{kdevplatformtests_major}*

#-----------------------------------------------------------------------------

%define kdevplatforminterfaces_major 5
%define libkdevplatforminterfaces %mklibname kdevplatforminterfaces %kdevplatforminterfaces_major

%package -n %libkdevplatforminterfaces
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatforminterfaces
KDE 4 library.

%files -n %libkdevplatforminterfaces
%defattr(-,root,root)
%_kde_libdir/libkdevplatforminterfaces.so.%{kdevplatforminterfaces_major}*

#-----------------------------------------------------------------------------

%define kdevplatformlanguage_major 5
%define libkdevplatformlanguage %mklibname kdevplatformlanguage %kdevplatformlanguage_major

%package -n %libkdevplatformlanguage
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformlanguage
KDE 4 library.

%files -n %libkdevplatformlanguage
%defattr(-,root,root)
%_kde_libdir/libkdevplatformlanguage.so.%{kdevplatformlanguage_major}*

#-----------------------------------------------------------------------------

%define kdevplatformoutputview_major 5
%define libkdevplatformoutputview %mklibname kdevplatformoutputview %kdevplatformoutputview_major

%package -n %libkdevplatformoutputview
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformoutputview
KDE 4 library.

%files -n %libkdevplatformoutputview
%defattr(-,root,root)
%_kde_libdir/libkdevplatformoutputview.so.%{kdevplatformoutputview_major}*

#-----------------------------------------------------------------------------

%define kdevplatformproject_major 5
%define libkdevplatformproject %mklibname kdevplatformproject %kdevplatformproject_major

%package -n %libkdevplatformproject
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformproject
KDE 4 library.

%files -n %libkdevplatformproject
%defattr(-,root,root)
%_kde_libdir/libkdevplatformproject.so.%{kdevplatformproject_major}*

#-----------------------------------------------------------------------------

%define kdevplatformshell_major 5
%define libkdevplatformshell %mklibname kdevplatformshell %kdevplatformshell_major

%package -n %libkdevplatformshell
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformshell
KDE 4 library.

%files -n %libkdevplatformshell
%defattr(-,root,root)
%_kde_libdir/libkdevplatformshell.so.%{kdevplatformshell_major}*

#-----------------------------------------------------------------------------

%define kdevplatformutil_major 5
%define libkdevplatformutil %mklibname kdevplatformutil %kdevplatformutil_major

%package -n %libkdevplatformutil
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformutil
KDE 4 library.

%files -n %libkdevplatformutil
%defattr(-,root,root)
%_kde_libdir/libkdevplatformutil.so.%{kdevplatformutil_major}*

#-----------------------------------------------------------------------------

%define kdevplatformvcs_major 5
%define libkdevplatformvcs %mklibname kdevplatformvcs %kdevplatformvcs_major

%package -n %libkdevplatformvcs
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformvcs
KDE 4 library.

%files -n %libkdevplatformvcs
%defattr(-,root,root)
%_kde_libdir/libkdevplatformvcs.so.%{kdevplatformvcs_major}*

#-----------------------------------------------------------------------------

%define sublime_major 5
%define libsublime %mklibname sublime %sublime_major

%package -n %libsublime
Summary: KDE 4 library
Group: System/Libraries

%description -n %libsublime
KDE 4 library.

%files -n %libsublime
%defattr(-,root,root)
%_kde_libdir/libsublime.so.%{sublime_major}*

#-----------------------------------------------------------------------------

%define kdevplatformdebugger_major 5
%define libkdevplatformdebugger %mklibname kdevplatformdebugger %kdevplatformdebugger_major

%package -n %libkdevplatformdebugger
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformdebugger
KDE 4 library.

%files -n %libkdevplatformdebugger
%defattr(-,root,root)
%_kde_libdir/libkdevplatformdebugger.so.%{kdevplatformdebugger_major}*

#-----------------------------------------------------------------------------

%define kdevplatformdocumentation_major 5
%define libkdevplatformdocumentation %mklibname kdevplatformdocumentation %kdevplatformdocumentation_major

%package -n %libkdevplatformdocumentation
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdevplatformdocumentation
KDE 4 library.

%files -n %libkdevplatformdocumentation
%defattr(-,root,root)
%_kde_libdir/libkdevplatformdocumentation.so.%{kdevplatformdocumentation_major}*

#-----------------------------------------------------------------------------

%package -n %lib_name-devel
Summary: Development files for kdevplatform
Group: Development/KDE and Qt

Provides:  kdevplatform4-devel = %epoch:%version-%release
Obsoletes: %{_lib}kdevplatform43-devel < 4.0.73-1
Conflicts: kdevplatfom4 < 4:0.9.83-0.886617.4

Requires: %libkdevplatformtests = %epoch:%version-%release
Requires: %libkdevplatforminterfaces = %epoch:%version-%release
Requires: %libkdevplatformlanguage = %epoch:%version-%release
Requires: %libkdevplatformoutputview = %epoch:%version-%release
Requires: %libkdevplatformproject = %epoch:%version-%release
Requires: %libkdevplatformshell = %epoch:%version-%release
Requires: %libkdevplatformutil = %epoch:%version-%release
Requires: %libkdevplatformvcs = %epoch:%version-%release
Requires: %libsublime = %epoch:%version-%release
Requires: %libkdevplatformdebugger = %epoch:%version-%release
Requires: %libkdevplatformdocumentation = %epoch:%version-%release

%description -n %lib_name-devel
Development files for kdevplatform.

%files -n %lib_name-devel
%defattr(-,root,root)
%{_kde_libdir}/cmake/kdevplatform/*.cmake
%{_kde_includedir}/kdevplatform
%{_kde_libdir}/libkdevplatformtests.so
%{_kde_libdir}/libkdevplatforminterfaces.so
%{_kde_libdir}/libkdevplatformlanguage.so
%{_kde_libdir}/libkdevplatformoutputview.so
%{_kde_libdir}/libkdevplatformproject.so
%{_kde_libdir}/libkdevplatformshell.so
%{_kde_libdir}/libkdevplatformutil.so
%{_kde_libdir}/libkdevplatformvcs.so
%{_kde_libdir}/libsublime.so
%{_kde_libdir}/libkdevplatformdebugger.so
%{_kde_libdir}/libkdevplatformdocumentation.so

#-----------------------------------------------------------------------------

%prep
%setup -qn kdevplatform-%{version}

%build
%cmake_kde4
%make

%if %compile_apidox
make apidox
%endif

%install
rm -fr %buildroot
%makeinstall_std -C build

%find_lang %name --all-name --with-kde

%clean
rm -fr %buildroot


%changelog

* Sun Apr 15 2012 fwang <fwang> 4:1.3.1-1.mga2
+ Revision: 230832
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 4:1.3.0-1.mga2
+ Revision: 222971
- new version 1.3.0 stable

* Sat Feb 25 2012 fwang <fwang> 4:1.2.90-1.mga2
+ Revision: 214283
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 4:1.2.82-1.mga2
+ Revision: 208695
- new version 1.2.82

* Mon Jan 23 2012 fwang <fwang> 4:1.2.81-1.mga2
+ Revision: 200301
- update file list
- update libmajor
- new version 1.2.81

* Sat Jun 25 2011 mikala <mikala> 4:1.2.3-1.mga2
+ Revision: 113638
- Update tarball to 1.2.3 ( see http://kdevelop.org/kdevelop/kdevelop-423-released )

* Wed Apr 06 2011 mikala <mikala> 4:1.2.2-2.mga1
+ Revision: 81396
- Update tarball to 1.2.2

* Mon Mar 07 2011 mikala <mikala> 4:1.2.0-2.mga1
+ Revision: 66116
- Remove BuildRoot
- imported package kdevplatform4

